/*
 * Copyright (c) 2006, TopCoder, Inc. All rights reserved.
 */
namespace TopCoder.Web.UI.WebControl.BreadCrumb
{
    /// <summary>
    /// Defines an enumeration which represents the treatment when exceptions occur during the process.
    /// </summary>
    /// <author>Pops</author>
    /// <author>TCSDEVELOPER</author>
    /// <version>2.0</version>
    /// <copyright>Copyright (c) 2006, TopCoder, Inc. All rights reserved.</copyright>
    public enum ErrorDisposition
    {
        /// <summary>
        /// Represents that all exceptions should be ignored and the process should be continued.
        /// </summary>
        SilentlyIgnore = 0,

        /// <summary>
        /// Represents that the exceptions should be rendered manually to the HTML web page.
        /// </summary>
        RenderException = 1,

        /// <summary>
        /// Represents that the first exception should be thrown by the method.
        /// </summary>
        ThrowException = 2
    }
}

