/*
 * Copyright (c) 2006, TopCoder, Inc. All rights reserved.
 */
namespace TopCoder.Web.UI.WebControl.BreadCrumb
{
    /// <summary>
    /// Defines an enumeration which represents the direction of a bread crumb tail. The direction can be either from
    /// root node to the current node, or the current node to the root node.
    /// </summary>
    /// <author>Pops</author>
    /// <author>TCSDEVELOPER</author>
    /// <version>2.0</version>
    /// <copyright>Copyright (c) 2006, TopCoder, Inc. All rights reserved.</copyright>
    public enum PathDirection
    {
        /// <summary>
        /// Represents the direction where the root node is the first node and the current node is the last node.
        /// </summary>
        RootToCurrent = 0,

        /// <summary>
        /// Represents the direction where the current node is the first node and the root node is the last node.
        /// </summary>
        CurrentToRoot = 1
    }
}

